
public class OutgoingOpcode {

   public static OutgoingOpcode aClass302_3753 = new OutgoingOpcode(84, 6);
   public static OutgoingOpcode aClass302_3754 = new OutgoingOpcode(70, -1);
   public static OutgoingOpcode aClass302_3755 = new OutgoingOpcode(2, -1);
   public static OutgoingOpcode aClass302_3756 = new OutgoingOpcode(12, 3);
   public static OutgoingOpcode aClass302_3757 = new OutgoingOpcode(4, 8);
   public static OutgoingOpcode aClass302_3758 = new OutgoingOpcode(5, -1);
   public static OutgoingOpcode aClass302_3759 = new OutgoingOpcode(50, -2);
   public static OutgoingOpcode aClass302_3760 = new OutgoingOpcode(7, 16);
   public static OutgoingOpcode aClass302_3761 = new OutgoingOpcode(8, -1);
   public static OutgoingOpcode aClass302_3762 = new OutgoingOpcode(9, 0);
   public static OutgoingOpcode aClass302_3763 = new OutgoingOpcode(10, 3);
   public static OutgoingOpcode aClass302_3764 = new OutgoingOpcode(11, -1);
   public static OutgoingOpcode aClass302_3765 = new OutgoingOpcode(32, -1);
   public static OutgoingOpcode aClass302_3766 = new OutgoingOpcode(13, 4);
   public static OutgoingOpcode aClass302_3767 = new OutgoingOpcode(85, 11);
   public static OutgoingOpcode aClass302_3768 = new OutgoingOpcode(15, 4);
   public static OutgoingOpcode aClass302_3769 = new OutgoingOpcode(27, 3);
   public static OutgoingOpcode aClass302_3770 = new OutgoingOpcode(1, -2);
   public static OutgoingOpcode aClass302_3771 = new OutgoingOpcode(18, 8);
   public static OutgoingOpcode aClass302_3772 = new OutgoingOpcode(26, 1);
   public static OutgoingOpcode aClass302_3773 = new OutgoingOpcode(20, 7);
   public static OutgoingOpcode aClass302_3774 = new OutgoingOpcode(95, 3);
   public static OutgoingOpcode aClass302_3775 = new OutgoingOpcode(22, 8);
   public static OutgoingOpcode aClass302_3776 = new OutgoingOpcode(52, 3);
   public static OutgoingOpcode aClass302_3777 = new OutgoingOpcode(24, 2);
   public static OutgoingOpcode aClass302_3778 = new OutgoingOpcode(25, 7);
   public static OutgoingOpcode aClass302_3779 = new OutgoingOpcode(78, 3);
   public static OutgoingOpcode aClass302_3780 = new OutgoingOpcode(37, 11);
   public static OutgoingOpcode aClass302_3781 = new OutgoingOpcode(28, 6);
   public static OutgoingOpcode aClass302_3782 = new OutgoingOpcode(101, -1);
   public static OutgoingOpcode aClass302_3783 = new OutgoingOpcode(30, -1);
   public static OutgoingOpcode aClass302_3784 = new OutgoingOpcode(31, -2);
   public static OutgoingOpcode aClass302_3785 = new OutgoingOpcode(73, 9);
   public static OutgoingOpcode aClass302_3786 = new OutgoingOpcode(33, 8);
   public static OutgoingOpcode aClass302_3787 = new OutgoingOpcode(34, 8);
   public static OutgoingOpcode aClass302_3788 = new OutgoingOpcode(35, 4);
   public static OutgoingOpcode aClass302_3789 = new OutgoingOpcode(36, 8);
   public static OutgoingOpcode aClass302_3790 = new OutgoingOpcode(21, 1);
   public static OutgoingOpcode aClass302_3791 = new OutgoingOpcode(38, 9);
   public static OutgoingOpcode aClass302_3792 = new OutgoingOpcode(39, 4);
   public static OutgoingOpcode aClass302_3793 = new OutgoingOpcode(40, -2);
   public static OutgoingOpcode aClass302_3794 = new OutgoingOpcode(19, 2);
   public static OutgoingOpcode aClass302_3795 = new OutgoingOpcode(23, -1);
   public static OutgoingOpcode aClass302_3796 = new OutgoingOpcode(43, -2);
   public static OutgoingOpcode aClass302_3797 = new OutgoingOpcode(44, -1);
   public static OutgoingOpcode aClass302_3798 = new OutgoingOpcode(45, 9);
   public static OutgoingOpcode aClass302_3799 = new OutgoingOpcode(46, -1);
   public static OutgoingOpcode aClass302_3800 = new OutgoingOpcode(47, -2);
   public static OutgoingOpcode aClass302_3801 = new OutgoingOpcode(51, 2);
   public static OutgoingOpcode aClass302_3802 = new OutgoingOpcode(49, 3);
   public static OutgoingOpcode aClass302_3803 = new OutgoingOpcode(55, 15);
   public static OutgoingOpcode aClass302_3804 = new OutgoingOpcode(83, 8);
   int anInt3805;
   public static OutgoingOpcode aClass302_3806 = new OutgoingOpcode(53, 3);
   public static OutgoingOpcode aClass302_3807 = new OutgoingOpcode(54, -1);
   public static OutgoingOpcode aClass302_3808 = new OutgoingOpcode(56, 6);
   public static OutgoingOpcode aClass302_3809 = new OutgoingOpcode(58, 16);
   public static OutgoingOpcode aClass302_3810 = new OutgoingOpcode(107, 5);
   public static OutgoingOpcode aClass302_3811 = new OutgoingOpcode(91, 7);
   public static OutgoingOpcode aClass302_3812 = new OutgoingOpcode(16, 8);
   public static OutgoingOpcode aClass302_3813 = new OutgoingOpcode(60, 0);
   public static OutgoingOpcode aClass302_3814 = new OutgoingOpcode(61, 9);
   public static OutgoingOpcode aClass302_3815 = new OutgoingOpcode(62, 8);
   public static OutgoingOpcode aClass302_3816 = new OutgoingOpcode(63, 12);
   public static OutgoingOpcode aClass302_3817 = new OutgoingOpcode(64, 3);
   public static OutgoingOpcode aClass302_3818 = new OutgoingOpcode(57, 7);
   public static OutgoingOpcode aClass302_3819 = new OutgoingOpcode(74, 4);
   public static OutgoingOpcode aClass302_3820 = new OutgoingOpcode(67, 17);
   public static OutgoingOpcode aClass302_3821 = new OutgoingOpcode(17, -1);
   public static OutgoingOpcode aClass302_3822 = new OutgoingOpcode(71, -1);
   public static OutgoingOpcode aClass302_3823 = new OutgoingOpcode(69, 3);
   public static OutgoingOpcode aClass302_3824 = new OutgoingOpcode(42, -1);
   public static OutgoingOpcode aClass302_3825 = new OutgoingOpcode(72, -1);
   public static OutgoingOpcode aClass302_3826 = new OutgoingOpcode(80, 4);
   public static OutgoingOpcode aClass302_3827 = new OutgoingOpcode(59, 9);
   public static OutgoingOpcode aClass302_3828 = new OutgoingOpcode(75, 9);
   public static OutgoingOpcode aClass302_3829 = new OutgoingOpcode(76, -1);
   public static OutgoingOpcode aClass302_3830 = new OutgoingOpcode(77, 3);
   public static OutgoingOpcode aClass302_3831 = new OutgoingOpcode(6, -1);
   public static OutgoingOpcode aClass302_3832 = new OutgoingOpcode(79, -1);
   public static OutgoingOpcode aClass302_3833 = new OutgoingOpcode(65, 7);
   public static OutgoingOpcode aClass302_3834 = new OutgoingOpcode(81, 3);
   public static OutgoingOpcode aClass302_3835 = new OutgoingOpcode(82, 15);
   public static OutgoingOpcode aClass302_3836 = new OutgoingOpcode(100, 3);
   public static OutgoingOpcode aClass302_3837 = new OutgoingOpcode(29, 1);
   public static OutgoingOpcode aClass302_3838 = new OutgoingOpcode(3, 1);
   public static OutgoingOpcode aClass302_3839 = new OutgoingOpcode(86, 3);
   public static OutgoingOpcode aClass302_3840 = new OutgoingOpcode(87, 2);
   public static OutgoingOpcode aClass302_3841 = new OutgoingOpcode(88, 4);
   public static OutgoingOpcode aClass302_3842 = new OutgoingOpcode(89, -1);
   public static OutgoingOpcode aClass302_3843 = new OutgoingOpcode(90, -2);
   public static OutgoingOpcode aClass302_3844 = new OutgoingOpcode(0, -1);
   public static OutgoingOpcode aClass302_3845 = new OutgoingOpcode(92, 15);
   public static OutgoingOpcode aClass302_3846 = new OutgoingOpcode(93, 3);
   public static OutgoingOpcode aClass302_3847 = new OutgoingOpcode(94, 7);
   public static OutgoingOpcode aClass302_3848 = new OutgoingOpcode(48, 0);
   public static OutgoingOpcode aClass302_3849 = new OutgoingOpcode(96, 9);
   public static OutgoingOpcode aClass302_3850 = new OutgoingOpcode(97, -1);
   public static OutgoingOpcode aClass302_3851 = new OutgoingOpcode(98, 0);
   public static OutgoingOpcode aClass302_3852 = new OutgoingOpcode(99, 4);
   public static OutgoingOpcode aClass302_3853 = new OutgoingOpcode(41, 3);
   public static OutgoingOpcode aClass302_3854 = new OutgoingOpcode(68, -1);
   public static OutgoingOpcode aClass302_3855 = new OutgoingOpcode(102, 7);
   public static OutgoingOpcode aClass302_3856 = new OutgoingOpcode(103, 4);
   public static OutgoingOpcode aClass302_3857 = new OutgoingOpcode(104, -1);
   public static OutgoingOpcode aClass302_3858 = new OutgoingOpcode(105, 1);
   public static OutgoingOpcode aClass302_3859 = new OutgoingOpcode(106, 8);
   public static OutgoingOpcode aClass302_3860 = new OutgoingOpcode(14, 3);
   public static OutgoingOpcode aClass302_3861 = new OutgoingOpcode(108, -1);
   public static OutgoingOpcode aClass302_3862 = new OutgoingOpcode(109, 18);
   public static OutgoingOpcode aClass302_3863 = new OutgoingOpcode(110, -2);
   public static OutgoingOpcode aClass302_3864 = new OutgoingOpcode(111, -1);
   int anInt3865;
   public static OutgoingOpcode aClass302_3866 = new OutgoingOpcode(66, 4);


   OutgoingOpcode(int var1, int var2) {
      this.anInt3865 = var1 * 2111244105;
      this.anInt3805 = var2 * 1673386741;
   }

   public static Class214 method5387(int var0, int var1, int var2, int var3, int var4, boolean var5, int var6, int var7) {
      if((var5?Class500.aClass225_Sub6_5953.aClass463_Sub9_8492.method12871(-1512354788):Class500.aClass225_Sub6_5953.aClass463_Sub9_8499.method12871(-2113382544)) != 0 && 0 != var1 && 49139505 * Class226.anInt2612 < 50 && -1 != var0) {
         Class214 var8 = new Class214((byte)(var5?3:2), var0, var1, var2, var3, var4, var6, (Class515_Sub1)null);
         Class226.aClass214Array2622[(Class226.anInt2612 += -2086983215) * 49139505 - 1] = var8;
         return var8;
      } else {
         return null;
      }
   }

   static final void method5388(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)93) != null) {
         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1470 = Class193.method3350(var4, var2, 1886061381);
      var0.aBool1520 = true;
   }

   static final void method5389(Class508 var0, int var1) {
      Class393.method6730(false, -351299954);
   }

   static final void method5390(Class508 var0, int var1) {
      int[] var10000 = var0.anIntArray6027;
      int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
      int var10002;
      if(client.aClass124_7857 == null) {
         if(var1 == 258921611) {
            ;
         }

         var10002 = -1;
      } else {
         var10002 = client.aClass124_7857.anInt1406 * 34646887;
      }

      var10000[var10001] = var10002;
   }
}
